- Qt 5.15
- Qt 3D
- C++ Classes
- QBackendNode
- Qt 5.15.19 Reference Documentation

# QBackendNode Class

class Qt3DCore::QBackendNode

The base class for all Qt3D backend nodes. More...

Header: | #include <Qt3DCore/QBackendNode>
qmake: | QT += 3dcore

- List of all members, including inherited members
- Obsolete members

## Public Types

enum | Mode { ReadOnly, ReadWrite }

## Public Functions

bool | isEnabled() const
Mode | mode() const
QNodeId | peerId() const
void | setEnabled(bool enabled)

## Detailed Description

## Member Type Documentation

### enum QBackendNode::Mode

The mode for the backend node.

Constant | Value
--- | ---
`Qt3DCore::QBackendNode::ReadOnly` | `0`
`Qt3DCore::QBackendNode::ReadWrite` | `1`

## Member Function Documentation

### bool QBackendNode::isEnabled() const

Returns `true` if the backend node is enabled.

### Mode QBackendNode::mode() const

Returns the mode of the backend mode.

### QNodeId QBackendNode::peerId() const

Returns the peer id of the backend node.

### void QBackendNode::setEnabled(bool enabled)

Enables or disables the backend node by enabled.

See also isEnabled().